Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class ViewPaneEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--java.awt.event.ComponentEvent
                        |
                        +--java.awt.event.InputEvent
                              |
                              +--java.awt.event.MouseEvent
                                    |
                                    +--ru.biosoft.graphics.editor.ViewPaneEvent

public class ViewPaneEvent
extends MouseEvent

An event which indicates that a mouse action occurred in a View.

Fields inherited from class java.awt.event.MouseEvent
`MOUSE_FIRST, MOUSE_LAST, MOUSE_CLICKED, MOUSE_PRESSED, MOUSE_RELEASED, MOUSE_MOVED, MOUSE_ENTERED, MOUSE_EXITED, MOUSE_DRAGGED`

Fields inherited from class java.awt.event.InputEvent
`SHIFT_MASK, CTRL_MASK, META_MASK, ALT_MASK, ALT_GRAPH_MASK, BUTTON1_MASK, BUTTON2_MASK, BUTTON3_MASK`

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN, COMPONENT_HIDDEN`

Fields inherited from class java.awt.AWTEvent
`COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, WINDOW_EVENT_MASK, ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, ITEM_EVENT_MASK, TEXT_EVENT_MASK, INPUT_METHOD_EVENT_MASK, PAINT_EVENT_MASK, INVOCATION_EVENT_MASK, HIERARCHY_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, RESERVED_ID_MAX`

Constructor Summary
`ViewPaneEvent(ViewPane viewPane, View viewSource, MouseEvent e, int x, int y)` Constructs a Event object with the specified source View.

Method Summary
`ViewPane` | `getViewPane()`
`View` | `getViewSource()` Returns the originator of the event.

Methods inherited from class java.awt.event.MouseEvent
`getX, getY, getPoint, translatePoint, getClickCount, isPopupTrigger, paramString`

Methods inherited from class java.awt.event.InputEvent
`isShiftDown, isControlDown, isMetaDown, isAltDown, isAltGraphDown, getWhen, getModifiers, consume, isConsumed`

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewPaneEvent

    public ViewPaneEvent(ViewPane viewPane, View viewSource, MouseEvent e, int x, int y)

  Constructs a Event object with the specified source View.
  Parameters:
    source - the View that originated the event

Method Detail

### getViewPane

    public ViewPane getViewPane()

### getViewSource

    public View getViewSource()

  Returns the originator of the event.
  Returns: the View object that originated the event

Association Links

to Class ru.biosoft.graphics.View

  The object on which the Event initially occurred.

to Class ru.biosoft.graphics.editor.ViewPane

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM